rtroncoso/odbc-driver

There is no license information available for the latest version (dev-master) of this package.

Laravel 5.0 ODBC Driver

dev-master 2015-12-02 16:47 UTC

README

Laravel 5.0 ODBC driver

Installation

To Install this in your Laravel 5.0 app, open composer.json and add:

"require": {
  "garylocke/odbc-driver": "dev-master"
}

And then run:

composer update

This will download the required package from Packagist.org.

Then, in your app/config directory, open app.php and find:

Illuminate\Database\DatabaseServiceProvider::class

And replace it with:

Ccovey\ODBCDriver\ODBCDriverServiceProvider::class

Finally, be sure to add the odbc driver with connection information to the connections array in config/database.php file like so:

    'connections' => [
        'odbc' => [
            'driver' => 'odbc',
            'dsn' => 'Driver={iSeries Access ODBC Driver};System=my_system_name;',
            'grammar' => 'DB2',
            'username' => 'foo',
            'password' => 'bar',
            'database' => '',
        ],
    ],

Note that database is a required value in the array.

Notes

To add a custom grammar, add your file to ODBCDriver/Grammars with the name you would like to use (currently there is a DB2 grammar file if you would like a reference). Then, in your odbc config array, add the class name to the grammar key. If you would like to submit a grammar for use in the package, please submit a pull request and I will get it in asap.

If you would like to use a Laravel provided file, just add that instead. For example, if you want to use SQL Server Gramamr instead, you can add like so:

'odbc' => [
    'driver' => 'odbc',
    'dsn' => 'some driver',
    'grammar' => 'SqlServerGrammar',
    'username' => 'foo',
    'password' => 'bar',
    'database' => '',
],